package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF0D7Data {

    private Map<String, Object> params;
    
    public MWF0D7Data(Map<String, Object> params) {
        this.params = params;
    }

    public Double rsServicefeeamount() {
        return (Double) params.get("RS_SERVICEFEEAMOUNT");
    }

    public String rsServicefeetype() {
        return (String) params.get("RS_SERVICEFEETYPE");
    }

    public Double rsRateindex() {
        return (Double) params.get("RS_RATEINDEX");
    }

    public Double rsIntrateproc() {
        return (Double) params.get("RS_INTRATEPROC");
    }

    public Double rsIntratereal() {
        return (Double) params.get("RS_INTRATEREAL");
    }

    public Double rsDeviation() {
        return (Double) params.get("RS_DEVIATION");
    }

    public String rsSalesproducttype() {
        return (String) params.get("RS_SALESPRODUCTTYPE");
    } 

}
